Bug 816678 - [abrt] kernel: WARNING: at fs/btrfs/extent-tree.c:6170 btrfs_alloc_free_block+0x364/0x370 [btrfs]()
[abrt] kernel: WARNING: at fs/btrfs/extent-tree.c:6170 btrfs_alloc_free_block...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zach Brown
Fedora Extras Quality Assurance
abrt_hash:4fd84df99a5b31bd223d2b9787a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 12:33 EDT by pete martin
Modified: 2015-05-17 21:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 10:17:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pete martin 2012-04-26 12:33:55 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.2-6.fc16.x86_64 root=/dev/mapper/vg_fedorablackbo-lv_root ro rd.md=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb KEYTABLE=uk rd.luks=0 rd.lvm.lv=vg_fedorablackbo/lv_swap LANG=en_US.UTF-8 rd.lvm.lv=vg_fedorablackbo/lv_root
kernel:         3.3.2-6.fc16.x86_64
reason:         WARNING: at fs/btrfs/extent-tree.c:6170 btrfs_alloc_free_block+0x364/0x370 [btrfs]()
time:           Thu 26 Apr 2012 04:32:02 PM BST

backtrace:
:WARNING: at fs/btrfs/extent-tree.c:6170 btrfs_alloc_free_block+0x364/0x370 [btrfs]()
:Hardware name: MS-7550
:Modules linked in: vfat fat ppdev parport_pc lp parport fuse usb_storage be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc binfmt_misc snd_hda_codec_realtek
:------------[ cut here ]------------
:WARNING: at fs/btrfs/extent-tree.c:6170 btrfs_alloc_free_block+0x364/0x370 [btrfs]()
:Hardware name: MS-7550
:Modules linked in: vfat fat ppdev parport_pc lp parport fuse usb_storage be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc binfmt_misc snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_usb_audio snd_seq snd_pcm snd_timer snd_hwdep snd_usbmidi_lib snd_rawmidi snd_seq_device snd snd_page_alloc soundcore sp5100_tco uvcvideo videobuf2_core videodev edac_core media videobuf2_vmalloc videobuf2_memops i2c_piix4 r8169 mii k10temp edac_mce_amd microcode uinput btrfs zlib_deflate libcrc32c ata_generic pata_acpi pata_atiixp sata_sil24 nouveau ttm drm_kms_helper drm i2c_core mxm_wmi video wmi [last unloaded: scsi_wait_scan]
:Pid: 6027, comm: btrfs-endio-wri Not tainted 3.3.2-6.fc16.x86_64 #1
: snd_hda_intel snd_hda_codec snd_usb_audio snd_seq snd_pcm snd_timer snd_hwdep snd_usbmidi_lib snd_rawmidi snd_seq_device snd snd_page_alloc soundcore sp5100_tco uvcvideo videobuf2_core videodev edac_core media videobuf2_vmalloc videobuf2_memops i2c_piix4 r8169 mii k10temp edac_mce_amd microcode uinput btrfs zlib_deflateCall Trace:
: libcrc32c [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057b1a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa0186514>] btrfs_alloc_free_block+0x364/0x370 [btrfs]
: ata_generic [<ffffffffa01b5d41>] ? read_extent_buffer_pages+0x461/0x4d0 [btrfs]
: [<ffffffffa01b5e9a>] ? read_extent_buffer+0xea/0x180 [btrfs]
: pata_acpi pata_atiixp sata_sil24 nouveau ttm [<ffffffffa017483f>] __btrfs_cow_block+0x12f/0x440 [btrfs]
: drm_kms_helper drm i2c_core [<ffffffffa0174c46>] btrfs_cow_block+0xf6/0x220 [btrfs]
: mxm_wmi video [<ffffffffa0178a49>] btrfs_search_slot+0x419/0x8b0 [btrfs]
: wmi [last unloaded: scsi_wait_scan]
: [<ffffffffa018a834>] btrfs_lookup_csum+0x74/0x170 [btrfs]
:Pid: 2729, comm: btrfs-endio-wri Not tainted 3.3.2-6.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8116e5ab>] ? kmem_cache_alloc+0x11b/0x150
: [<ffffffffa018b834>] btrfs_csum_file_blocks+0xb4/0x650 [btrfs]
: [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffffa01b0c4b>] ? clear_extent_bit+0x1cb/0x3a0 [btrfs]
: [<ffffffff81057b1a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa0196ec6>] add_pending_csums+0x46/0x60 [btrfs]
: [<ffffffffa019ba25>] btrfs_finish_ordered_io+0x245/0x320 [btrfs]
: [<ffffffffa0186514>] btrfs_alloc_free_block+0x364/0x370 [btrfs]
: [<ffffffffa019bb4d>] btrfs_writepage_end_io_hook+0x4d/0xc0 [btrfs]
: [<ffffffffa01b5d41>] ? read_extent_buffer_pages+0x461/0x4d0 [btrfs]
: [<ffffffffa01b310d>] end_extent_writepage+0x5d/0xf0 [btrfs]
: [<ffffffffa01b31e3>] end_bio_extent_writepage+0x43/0xa0 [btrfs]
: [<ffffffff811b3f0d>] bio_endio+0x1d/0x40
: [<ffffffffa018e606>] end_workqueue_fn+0x56/0x140 [btrfs]
: [<ffffffffa01bfd28>] worker_loop+0x148/0x580 [btrfs]
: [<ffffffffa01bfbe0>] ? btrfs_queue_worker+0x2e0/0x2e0 [btrfs]
: [<ffffffffa01b5e9a>] ? read_extent_buffer+0xea/0x180 [btrfs]
: [<ffffffff81079da3>] kthread+0x93/0xa0
: [<ffffffff815fd5a4>] kernel_thread_helper+0x4/0x10
: [<ffffffff81079d10>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff815fd5a0>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: 29cb2e30-6dc5-49f7-9c9b-1be456a2281a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6000.33
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X4 940 Processor
:CPU Stepping: 2
:CPU Family: 16
:CPU Model Num: 4
:Number of CPUs: 4
:CPU Speed: 3000
:System Memory: 3955
:System Swap: 6015
:Vendor: MICRO-STAR INTERNATIONAL CO.,LTD
:System: MS-7550 1.0
:Form factor: Desktop
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:38406:4130:38400) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 2)
:(4098:17296:5218:30032) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode]
:(4130:38400:4130:38400) pci, None, HOST/PCI, RS780 Host Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, None, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4245:12594:4245:28978) pci, sata_sil24, RAID, SiI 3132 Serial ATA Raid II Controller
:(4130:38403:4130:38400) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4332:33128:5218:30032) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4098:17308:5218:30032) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5218:30032) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:5218:30032) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5218:30032) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5218:30032) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:5218:30032) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:1764:5218:8288) pci, nouveau, VIDEO, G98 [GeForce 8400 GS]
:(4098:17303:5218:30032) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5218:30032) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5218:30032) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5218:30032) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5218:30032) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38408:4130:38400) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 4)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fedorablackbo-lv_root / ext4 4096 4096 13092026 11430568 11299546 3276800 3143948 3143948
:/dev/sda1 /boot ext4 1024 1024 508745 408548 382948 128016 127737 127737
:/dev/mapper/vg_fedorablackbo-lv_home /home ext4 4096 4096 107198114 69469312 64103552 26828800 26749505 26749505
:/dev/sdd1 WITHHELD btrfs UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdb WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:
Comment 1 Josh Boyer 2012-09-18 11:58:27 EDT
Have you seen this with the 3.4 or 3.5 kernel updates?
Comment 2 Dave Jones 2012-10-23 11:27:35 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Justin M. Forbes 2012-11-13 10:17:07 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.